package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcDeviceLog;

/**
 * cmc仪器记录Service接口
 * 
 * @author cmc
 * @date 2025-06-10
 */
public interface ICmcDeviceLogService 
{
    /**
     * 查询cmc仪器记录
     * 
     * @param logId cmc仪器记录主键
     * @return cmc仪器记录
     */
    public CmcDeviceLog selectCmcDeviceLogByLogId(Integer logId);

    /**
     * 查询cmc仪器记录列表
     * 
     * @param cmcDeviceLog cmc仪器记录
     * @return cmc仪器记录集合
     */
    public List<CmcDeviceLog> selectCmcDeviceLogList(CmcDeviceLog cmcDeviceLog);

    /**
     * 新增cmc仪器记录
     * 
     * @param cmcDeviceLog cmc仪器记录
     * @return 结果
     */
    public int insertCmcDeviceLog(CmcDeviceLog cmcDeviceLog);

    /**
     * 修改cmc仪器记录
     * 
     * @param cmcDeviceLog cmc仪器记录
     * @return 结果
     */
    public int updateCmcDeviceLog(CmcDeviceLog cmcDeviceLog);

    /**
     * 批量删除cmc仪器记录
     * 
     * @param logIds 需要删除的cmc仪器记录主键集合
     * @return 结果
     */
    public int deleteCmcDeviceLogByLogIds(Integer[] logIds);

    /**
     * 删除cmc仪器记录信息
     * 
     * @param logId cmc仪器记录主键
     * @return 结果
     */
    public int deleteCmcDeviceLogByLogId(Integer logId);
}
